/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: CmiComponentProperty.java 3562 2008-06-30 13:05:25Z amrania $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.component.cmi;

/**
 *
 * @author eyindanga
 */
public enum CmiComponentProperty {
    /**
     * Key separator.
     */
    SEPARATOR("."),

    /**
     *
     */
    SERVER_MODE_KEY("cmi.mode.server"),

    /**
     * Value of server mode.
     */
    SERVER_MODE_VALUE("server"),

    /**
     * Enable.
     */
    ENABLE("enable"),

    /**
     * Key for CMI initial context factory.
     */
    CMI_INITIAL_CONTEXT_FACTORY_KEY("cmi.context.factory"),

    /**
     * Default CMI Initial ContextFacory.
     */
    DEFAULT_CMI_INITIAL_CONTEXT_FACTORY("org.ow2.cmi.jndi.context.CMIInitialContextFactory"),

    /**
     * Key for CMI setter class.
     */
    CMI_SETTER_CLASS_KEY("cmi.setter.class"),
    /**
     * Default CMI setter class.
     */
    DEFAULT_CMI_SETTER_CLASS("org.ow2.cmi.config.CentralizedConfig"),

    /**
     * Key for setter of CMI properties
     */
    CMI_PROPERTIES_SETTER_METHOD_KEY("cmi.setter.methodProperties"),

    /**
     * Default value for setter of CMI properties
     */
    DEFAULT_CMI_PROPERTIES_SETTER_METHOD("setProperties"),

    /**
     * Key for setter of CMI properties
     */
    CMI_MBEAN_SETTER_METHOD_KEY("cmi.setter.methodMBean"),

    /**
     * Default value for setter of CMI properties
     */
    DEFAULT_CMI_MBEAN_SETTER_METHOD("setMBean"),

    /**
     * Key for setter of CMI properties
     */
    CMI_ENABLE_REPLICATION_KEY("cmi.server.start.replication"),
    /**
     * CMI key.
     */
    CMI("cmi");
    /**
     * A name of property.
     */
    private final String propertyName;

    /**
     * @param propertyName
     */
    CmiComponentProperty(final String propertyName) {
        this.propertyName = propertyName;
    }

    /**
     * @return the propertyName
     */
    public String getPropertyName() {
        return this.propertyName;
    }


}
