/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: EjbJarDeployableMetadataConfigurator.java 3356 2008-05-30 09:49:21Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.metadata.ejbjar.configurator;

import org.ow2.easybeans.deployment.metadata.ejbjar.EjbJarArchiveMetadata;
import org.ow2.util.ee.deploy.api.deployable.EJB3Deployable;
import org.ow2.util.ee.metadata.ejbjar.api.IEjbJarClassMetadata;
import org.ow2.util.ee.metadata.ejbjar.api.IEjbJarFieldMetadata;
import org.ow2.util.ee.metadata.ejbjar.api.IEjbJarMethodMetadata;
import org.ow2.util.ee.metadata.ejbjar.impl.specific.ISpecificEjbJarDeployableMetadataConfigurator;
import org.ow2.util.scan.api.configurator.metadata.specific.ISpecificClassConfigurator;

/**
 *
 * @author Gael Lalire
 */
public class EjbJarDeployableMetadataConfigurator implements ISpecificEjbJarDeployableMetadataConfigurator<EJB3Deployable> {

    private EjbJarArchiveMetadata ejbJarDeployableMetadata;

    public EjbJarDeployableMetadataConfigurator(final EjbJarArchiveMetadata ejbJarDeployableMetadata) {
        this.ejbJarDeployableMetadata = ejbJarDeployableMetadata;
    }

    public ISpecificClassConfigurator<IEjbJarClassMetadata<EJB3Deployable>, IEjbJarMethodMetadata<EJB3Deployable>, IEjbJarFieldMetadata<EJB3Deployable>> createSpecificClassConfigurator(
            final IEjbJarClassMetadata<EJB3Deployable> classMetadata) {
        return new EjbJarClassMetadataConfigurator(classMetadata, this.ejbJarDeployableMetadata);
    }

}
