/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: EjbJarMethodMetadataConfigurator.java 3602 2008-07-04 15:42:01Z gaellalire $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.deployment.metadata.ejbjar.configurator;

import java.util.Set;

import org.ow2.easybeans.deployment.metadata.ejbjar.EjbJarClassMetadata;
import org.ow2.easybeans.deployment.metadata.ejbjar.EjbJarMethodMetadata;
import org.ow2.util.ee.deploy.api.deployable.EJB3Deployable;
import org.ow2.util.ee.metadata.ejbjar.api.IEjbJarMethodMetadata;
import org.ow2.util.scan.api.configurator.BasicConfigurator;
import org.ow2.util.scan.api.configurator.metadata.specific.ISpecificMethodConfigurator;

/**
 * Specific method metadata configurator.
 * @author Gael Lalire
 */
public class EjbJarMethodMetadataConfigurator
    extends BasicConfigurator implements ISpecificMethodConfigurator {

    private EjbJarMethodMetadata ezbSpecificWarMethodMetadata;

    public EjbJarMethodMetadataConfigurator(final IEjbJarMethodMetadata<EJB3Deployable> methodMetadata, final EjbJarClassMetadata ezbSpecificWarClassMetadata) {
        this.ezbSpecificWarMethodMetadata = new EjbJarMethodMetadata(methodMetadata, ezbSpecificWarClassMetadata);
    }

    /**
     * @param referencedClasses you may fill this set with class referenced in current metadata
     */
    @Override
    public void configurationComplete(final Set<String> referencedClasses) {
        this.ezbSpecificWarMethodMetadata.getSpecificClassMetadata().addSpecificMethodMetadata(this.ezbSpecificWarMethodMetadata);
        super.configurationComplete(referencedClasses);
    }

}
